%define anolis_release .0.2
# Run tests in check section
# disable for bootstrapping
%bcond_with check

%global import_path github.com/linuxdeepin/go-lib

%global goipath  github.com/linuxdeepin/go-lib
%global forgeurl https://github.com/linuxdeepin/go-lib

%global with_debug 1

%if 0%{?with_debug}
%global debug_package   %{nil}
%endif

%gometa

Name:           go-lib
Version:        5.9.1
Release:        1%{anolis_release}%{?dist}.01
Summary:        Go bindings for Deepin Desktop Environment development
License:        GPLv3
URL:            https://github.com/linuxdeepin/go-lib
Source0:        %{url}/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires:  compiler(go-compiler)

%description
DLib is a set of Go bindings/libraries for DDE development.
Containing dbus (forking from guelfey), glib, gdkpixbuf, pulse and more.

%package devel
Summary:        %{summary}
BuildArch:      noarch
%if %{with check}
# Required for tests
BuildRequires:  deepin-gir-generator
BuildRequires:  dbus-x11
BuildRequires:  iso-codes
BuildRequires:  mobile-broadband-provider-info
BuildRequires:  golang(github.com/linuxdeepin/go-x11-client)
BuildRequires:  golang(github.com/smartystreets/goconvey/convey)
BuildRequires:  golang(gopkg.in/check.v1)
BuildRequires:  pkgconfig(gio-2.0)
BuildRequires:  pkgconfig(gdk-3.0)
BuildRequires:  pkgconfig(gdk-x11-3.0)
BuildRequires:  pkgconfig(gdk-pixbuf-xlib-2.0)
BuildRequires:  pkgconfig(libpulse)
%endif

%description devel
%{summary}.

Provides: golang(github.com/linuxdeepin/go-lib)

This package contains library source intended for
building other packages which use import path with
%{goipath} prefix.

%prep
%setup -q

%install
install -d -p %{buildroot}/%{gopath}/src/%{import_path}/
for file in $(find . -iname "*.go" -o -iname "*.c" -o -iname "*.h") ; do
    install -d -p %{buildroot}/%{gopath}/src/%{import_path}/$(dirname $file)
    cp -pav $file %{buildroot}/%{gopath}/src/%{import_path}/$file
    echo "%%{gopath}/src/%%{import_path}/$file" >> devel.file-list
done

cp -pav README.md %{buildroot}/%{gopath}/src/%{goipath}/README.md
cp -pav CHANGELOG.md %{buildroot}/%{gopath}/src/%{goipath}/CHANGELOG.md
echo "%%{gopath}/src/%%{goipath}/README.md" >> devel.file-list
echo "%%{gopath}/src/%%{goipath}/CHANGELOG.md" >> devel.file-list

%if %{with check}
%check
%gochecks
%endif

%files devel -f devel.file-list
%doc README.md
%license LICENSE

%changelog
* Fri Jan 12 2024 yangxianzhao <yangxianzhao@uniontech.com> - 5.9.1-1.01.0.2
- rebuild for qt5-qtbase

* Wed Sep 20 2023 yangxianzhao <yangxianzhao@uniontech.com> - 5.9.1-1.01.0.1
- rebuild for qt5-qtbase-5.15.3

* Sun Feb 26 2023 mahailiang <mahailiang@uniontech.com> - 5.9.1-1.01
- rebuild: rebuild for uniontech

* Tue Dec 27 2022 liweiganga <liweiganga@uniontech.com> - 5.9.1-1
- update: update to 5.9.1

* Thu Jun 30 2022 liweiganga <liweiganga@uniontech.com> - 5.7.15-1.02
- rebuild

* Fri Jun 10 2022 uoser <uoser@uniontech.com> - 5.7.15-1.01
- update: update to 5.7.15-1.01

